File Upload API

post /files/{id}

Update file info

Base URL https://api.vseepreview.com/api_v3

Authentication: User Token — Requires a user access token from login or SSO.

Modify file information (name, title, description)

Currently only the name field can be modified (deprecated in favor of meta.title — coming soon).

Parameters

NameInTypeRequiredEnumDefaultDescription
X-ApiTokenheaderstringyesAPI token (e.g. your_api_token)
X-AccountCodeheaderstringyesAccount code (e.g. vclinic)
idpathstringyesFile ID (e.g. 5e1598e7-4118-47ca-84da-0923c71b6977)

Request body

Content type: application/x-www-form-urlencoded

FieldTypeRequiredEnumDescription
namestringnoFile name
meta.titlestringnoFile title
meta.descriptionstringnoFile description

Example:

{
  "name": "string",
  "meta.title": "string",
  "meta.description": "string"
}

Responses

200 — Successful update

Updated

{
  "data": {
    "id": "5e1598e7-4118-47ca-84da-0923c71b6977",
    "name": "test2.jpg",
    "size": 184259,
    "ext": "jpg",
    "meta": {
      "target": {
        "id": "350936",
        "type": "user"
      },
      "category": "user_document"
    }
  }
}

Machine-readable: OpenAPI JSON